<!--
    Input:
        framework_compatibility_matrix.xml
        framework_moto_fps.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
-->
<compatibility-matrix version="2.0" type="framework">
    <hal format="hidl" optional="true">
        <name>com.fingerprints.extension</name>
        <version>1.0</version>
        <interface>
            <name>IFingerprintNavigation</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>com.fingerprints.extension</name>
        <version>1.0</version>
        <interface>
            <name>IFingerprintSensorTest</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>com.fingerprints.extension</name>
        <version>1.0</version>
        <interface>
            <name>IFingerprintEngineering</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>com.motorola.hardware.biometric.fingerprint</name>
        <version>1.0</version>
        <interface>
            <name>IMotoFingerPrint</name>
            <instance>default</instance>
        </interface>
        <interface>
            <name>IMotoFingerPrintSensorTest</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="false">
        <name>motorola.hardware.input</name>
        <version>1.0</version>
        <interface>
            <name>IMotInput</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.fpsensor.hardware.fpsensorhidlsvc</name>
        <version>2.0</version>
        <interface>
            <name>IFpsensorHidlSvc</name>
            <instance>default</instance>
        </interface>
    </hal>
</compatibility-matrix>
